./www/p5-HTTP-Tinyish, HTTP::Tiny compatible HTTP client wrappers

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.15, Package name: p5-HTTP-Tinyish-0.15, Maintainer: pkgsrc-users

HTTP::Tinyish is a wrapper module for HTTP client modules LWP,
HTTP::Tiny and HTTP client software curl and wget.

It provides an API compatible to HTTP::Tiny, and the implementation has
been extracted out of App::cpanminus. This module can be useful in a
restrictive environment where you need to be able to download CPAN
modules without an HTTPS support in built-in HTTP library.


Required to run:
[lang/perl5] [devel/p5-IPC-Run3] [devel/p5-File-Which]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 900beebc73b898f913143dbd50d85e328d6134d1
RMD160: 54416c0519f49f93a0afe6238b75968d4624a7c4
Filesize: 16.119 KB

Version history: (Expand)


CVS history: (Expand)


   2018-10-20 06:19:47 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.15

Upstream changes:
0.15  2018-09-22 13:40:30 PDT
        - in LWP adapter, check if Mozilla::CA is installed as well #15
   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2018-08-09 13:03:38 by Jonathan Perkin | Files touched by this commit (3)
Log message:
www: Import p5-HTTP-Tinyish version 0.14.

HTTP::Tinyish is a wrapper module for HTTP client modules LWP,
HTTP::Tiny and HTTP client software curl and wget.

It provides an API compatible to HTTP::Tiny, and the implementation has
been extracted out of App::cpanminus.  This module can be useful in a
restrictive environment where you need to be able to download CPAN
modules without an HTTPS support in built-in HTTP library.